explain_fsetpos_or_die(3)

NAME
explain_fsetpos_or_die - reposition a stream and report errors
    "reposition a stream and report errors"

SYNOPSIS
#include <libexplain/fsetpos.h>

void explain_fsetpos_or_die(FILE *fp, fpos_t *pos);
int explain_fsetpos_on_error(FILE *fp, fpos_t *pos);

DESCRIPTION
The explain_fsetpos_or_die function is used to call the fsetpos(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_fsetpos(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_fsetpos_on_error function is used to call the fsetpos(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_fsetpos(3) function, but still returns to the caller.

fp  The fp, exactly as to be passed to the fsetpos(3) system call.

pos The pos, exactly as to be passed to the fsetpos(3) system call.

RETURN VALUE
The explain_fsetpos_or_die function only returns on success, see fsetpos(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_fsetpos_on_error function always returns the value return by the wrapped fsetpos(3) system call.

EXAMPLE
The explain_fsetpos_or_die function is intended to be used in a fashion similar to the following example:
    explain_fsetpos_or_die(fp, pos);

SEE ALSO

fsetpos(3)
    reposition a stream

explain_fsetpos(3)
    explain fsetpos(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2010 Peter Miller